-- 
-- This should Do The Right Thing to get existing jobhistory records
-- in sync after adding the additional columns and trigger for
-- options tracking.
-- 

UPDATE jobhistory
   SET accounting_user =
                    substring(options from 'cued-accounting-user=(\\S+)\\s*'),
       authorising_user =
                    substring(options from 'cued-authorising-user=(\\S+)\\s*')
 WHERE options IS NOT NULL
       AND (accounting_user IS NULL OR authorising_user IS NULL) ;

-- EOF
